Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep.values
Class Permutation

    java.lang.Object
      java.lang.Number
          org.lsmp.djep.groupJep.values.Permutation

All Implemented Interfaces:
  java.io.Serializable

    public class Permutation

extends java.lang.Number

Author:
  Rich Morris Created on 15-Mar-2004
See Also:
  Serialized Form

Field Summary
`protected GroupI` | `group`
`protected int` | `len`
`protected java.lang.Integer[]` | `perm`

Constructor Summary
`Permutation(GroupI group, java.lang.Integer[] perm)`

Method Summary
`Permutation` | `add(Permutation p1)`
`double` | `doubleValue()` Just returns 0.
`boolean` | `equals(Permutation p1)`
`float` | `floatValue()`
`Permutation` | `getInverse()`
`int` | `intValue()`
`long` | `longValue()`
`Permutation` | `sub(Permutation p1)`
`java.lang.String` | `toString()`
`Permutation` | `valueOf(java.lang.Integer[] p)`
`Permutation` | `valueOf(java.lang.Number[] p)`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### group

    protected GroupI group

### perm

    protected java.lang.Integer[] perm

### len

    protected int len

Constructor Detail

### Permutation

    public Permutation(GroupI group,
                       java.lang.Integer[] perm)

Method Detail

### add

    public Permutation add(Permutation p1)

### getInverse

    public Permutation getInverse()

### sub

    public Permutation sub(Permutation p1)

### equals

    public boolean equals(Permutation p1)

### valueOf

    public Permutation valueOf(java.lang.Integer[] p)

### valueOf

    public Permutation valueOf(java.lang.Number[] p)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### doubleValue

    public double doubleValue()

  Just returns 0. Minimal implematation for compatability with Number.

  Specified by:
    `doubleValue` in class `java.lang.Number`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `java.lang.Number`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `java.lang.Number`

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `java.lang.Number`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems